Page MenuHomePhabricator

[OTRS] Images that open in article view cannot be deleted from history
Closed, ResolvedPublicBUG REPORT

Description

How many times were you able to reproduce it?

Steps to reproduce

  1. Go to English Wikipedia
  2. Search "LED filament"
  3. Scroll down article, tap first image under "History" section, note it opens in article view
  4. Go to History tab
  5. See "File:LED Filament CloseUp..." article in History
  6. Swipe to delete

Expected results

At the very least article should be able to be deleted. But we should look into why this shows in the article view + history at all instead of our gallery.

Actual results

Item cannot be deleted, hangs on trashcan view

Screenshots

Environments observed

App version: 6.3.0
OS versions: iOS 12.4
Device model: iPhone 7
Device language: EN

Affected articles?

  • "LED filament" in English Wikipedia

Event Timeline

Tsevener created this task.Jul 26 2019, 8:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 26 2019, 8:06 PM
Tsevener renamed this task from Images that open in article view cannot be deleted from history to [OTRS] Images that open in article view cannot be deleted from history.Jul 26 2019, 8:28 PM
LGoto triaged this task as Normal priority.Jul 29 2019, 6:41 PM
Tsevener updated the task description. (Show Details)Aug 5 2019, 3:39 PM
ABorbaWMF added a subscriber: ABorbaWMF.

Working for me on 6.3.2 (1659)

JMinor closed this task as Resolved.Tue, Aug 27, 8:43 PM
JMinor added a subscriber: JMinor.

Nice catch!